# Installation
> `npm install --save @types/redux-infinite-scroll`

# Summary
This package contains type definitions for redux-infinite-scroll (https://github.com/RealScout/redux-infinite-scroll).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redux-infinite-scroll.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redux-infinite-scroll/index.d.ts)
````ts
import { Component, HTMLProps, JSX } from "react";

interface InfiniteScrollerProps {
    elementIsScrollable?: boolean | undefined;
    containerHeight?: number | string | undefined;
    threshold?: number | undefined;
    hasMore?: boolean | undefined;
    loadingMore?: boolean | undefined;
    loader?: any;
    showLoader?: boolean | undefined;
    loadMore(): void;
    items?: JSX.Element[] | undefined;
    children?: JSX.Element[] | undefined;
    holderType?: string | undefined;
}

declare class InfiniteScoller extends Component<InfiniteScrollerProps & HTMLProps<HTMLDivElement>> {}

export default InfiniteScoller;

````

### Additional Details
 * Last updated: Thu, 28 Dec 2023 22:06:53 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Tony Nikolov](https://github.com/silkyfray).
